[CODE]
Private Function UnHexByte(ByVal xByte1 As Byte) As Byte
  Select Case CLng(xByte1)
    Case &H30& To &H39&
      UnHexByte= xByte1 - &H30&
    Case &H41& To &H46&
      UnHexByte= xByte1 - &H37&
    Case &H61 To &H66&
      UnHexByte= xByte1 - &H57&
    Case Else
      RaiseAssemblyTermination
    End Select
  End Function
